1991-2006
Silicon Graphics, Inc.
glXDestroyContext
3G

# glXDestroyContext

destroy a GLX context

## C Specification

                    void glXDestroyContext
                    Display * dpy
                    GLXContext ctx

## Parameters

`dpy`

  Specifies the connection to the X server.

`ctx`

  Specifies the GLX context to be destroyed.

## Description

If the GLX rendering context `ctx` is not current to any thread, `glXDestroyContext` destroys it immediately. Otherwise, `ctx` is destroyed when it becomes not current to any thread. In either case, the resource ID referenced by `ctx` is freed immediately.

## Errors

`GLXBadContext` is generated if `ctx` is not a valid GLX context.

## See Also

glXCreateContext, glXCreateNewContext, glXMakeCurrent

## Copyright

Copyright 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.